> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fint.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Crear un nuevo contacto

> Crear un nuevo contacto



## OpenAPI

````yaml post /contact
openapi: 3.0.0
info:
  version: 1.0.0
  title: Fint API
  description: Fint API
servers:
  - url: https://api.fint.app/api/v1
    variables: {}
security: []
paths:
  /contact:
    post:
      tags:
        - Contactos
      summary: Crear un nuevo contacto
      description: Crear un nuevo contacto
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                externalReference:
                  type: string
                existingContactId:
                  type: number
                  description: >-
                    Id de un contacto ya existente. Si viene seteado, no se crea
                    un contacto nuevo: solo se asocia el pagador (payerContact)
                    al contacto existente.
                name:
                  type: string
                lastName:
                  type: string
                documentType:
                  type: string
                  enum:
                    - DNI
                    - CUIT
                    - CUIL
                    - CDI
                    - LE
                    - LC
                    - CI Extranjera
                    - Pasaporte
                    - CI Policía Federal
                    - Certificado de Migración
                    - RUT
                    - Otro
                documentNumber:
                  type: string
                email:
                  type: string
                  format: email
                phoneNumber:
                  type: string
                address:
                  type: string
                country:
                  type: string
                metadata:
                  type: object
                  additionalProperties:
                    nullable: true
                  description: >-
                    Informacion adicional que luego se puede consumir y llegara
                    en los webhooks
                payerContact:
                  type: object
                  properties:
                    name:
                      type: string
                    lastName:
                      type: string
                    documentType:
                      type: string
                      enum:
                        - DNI
                        - CUIT
                        - CUIL
                        - CDI
                        - LE
                        - LC
                        - CI Extranjera
                        - Pasaporte
                        - CI Policía Federal
                        - Certificado de Migración
                        - RUT
                        - Otro
                    documentNumber:
                      type: string
                    email:
                      type: string
                      format: email
                    phoneNumber:
                      type: string
                    address:
                      type: string
                    country:
                      type: string
                  required:
                    - name
                    - lastName
                    - documentType
                    - documentNumber
                    - email
                    - phoneNumber
                tagGroup:
                  type: object
                  properties:
                    name:
                      type: string
                  required:
                    - name
                tags:
                  type: array
                  items:
                    type: object
                    properties:
                      name:
                        type: string
                    required:
                      - name
                sendPortalInvite:
                  type: boolean
                  default: true
              required:
                - name
                - lastName
      responses:
        '201':
          description: Contacto creado con éxito
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: number
                required:
                  - id
        '400':
          description: Solicitud incorrecta, datos de entrada no válidos
          content:
            application/json:
              schema:
                type: object
                properties: {}
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````